Skip to main content
GET
List journal entry batches

Authorizations

Authorization
string
header
required

An API key prefixed with finta_, or the access token from a Finta CLI browser login (finta login), prefixed with finta_oat_. A CLI login's access token lasts one hour and the CLI renews it itself.

Query Parameters

limit
integer
default:20

Maximum number of results to return (1-100). Defaults to 20.

Required range: 1 <= x <= 100
starting_after
string

A cursor for pagination. Pass the next_cursor value from a previous response to fetch the next page.

Response

A paginated list of journal entry batches

object
enum<string>
required
Available options:
list
url
string
required

The canonical path of the collection, relative to the API host.

Example:

"/api/v1/journal_entry_batches"

has_more
boolean
required

Whether there are more results beyond this page.

data
object[]
required
next_cursor
string | null

Pass this value as starting_after to fetch the next page. Null when has_more is false.